Name:          jackson-databind
Version:       2.19.1
Release:       1%{?dist}
Summary:       General data-binding package for Jackson (2.x)
License:       Apache-2.0 and LGPL-2.0-or-later
URL:           https://github.com/FasterXML/jackson-databind/

Source0:       LICENSE
Source1:       NOTICE
Source2:       README.md
Source3:       VERSION-2.x
Source4:       CREDITS-2.x
Source5:       jackson-databind.jar
Source6:       jackson-databind.xml
Source7:       jackson-databind.pom

BuildArch:      noarch
%if 0%{?fedora}
ExclusiveArch:  %{java_arches} noarch
%endif

%description
The general-purpose data-binding functionality and tree-model for Jackson Data
Processor. It builds on core streaming parser/generator package, and uses
Jackson Annotations for configuration.

%package -n pki-%{name}
Summary:       General data-binding package for Jackson (2.x)

Requires:      mvn(com.fasterxml.jackson.core:jackson-annotations)
Requires:      mvn(com.fasterxml.jackson.core:jackson-core)

Provides:      jackson-databind = %{version}-%{release}
Provides:      mvn(com.fasterxml.jackson.core:jackson-databind) = %{version}
Provides:      mvn(com.fasterxml.jackson.core:jackson-databind:pom:) = %{version}

%description -n pki-%{name}
The general-purpose data-binding functionality and tree-model for Jackson Data
Processor. It builds on core streaming parser/generator package, and uses
Jackson Annotations for configuration.

%install
%{__install} -D -p %{SOURCE0} %{buildroot}%{_datadir}/licenses/pki-%{name}/LICENSE
%{__install} -D -p %{SOURCE1} %{buildroot}%{_datadir}/licenses/pki-%{name}/NOTICE
%{__install} -D -p %{SOURCE2} %{buildroot}%{_docdir}/pki-%{name}/README.md
%{__install} -D -p %{SOURCE3} %{buildroot}%{_docdir}/pki-%{name}/VERSION-2.x
%{__install} -D -p %{SOURCE4} %{buildroot}%{_docdir}/pki-%{name}/CREDITS-2.x
%{__install} -D -p %{SOURCE5} %{buildroot}%{_datadir}/java/%{name}.jar
%{__install} -D -p %{SOURCE6} %{buildroot}%{_datadir}/maven-metadata/%{name}.xml
%{__install} -D -p %{SOURCE7} %{buildroot}%{_datadir}/maven-poms/%{name}.pom

%files -n pki-%{name}
%license %{_datadir}/licenses/pki-%{name}/LICENSE
%license %{_datadir}/licenses/pki-%{name}/NOTICE
%doc %{_docdir}/pki-%{name}/README.md
%doc %{_docdir}/pki-%{name}/VERSION-2.x
%doc %{_docdir}/pki-%{name}/CREDITS-2.x
%{_datadir}/java/%{name}.jar
%{_datadir}/maven-metadata/%{name}.xml
%{_datadir}/maven-poms/%{name}.pom

%changelog
* Thu Jul 24 2025 Red Hat PKI Team <rhcs-maint@redhat.com> - 2.19.1-1
- Rebase to upstream version 2.19.1

* Wed Nov 22 2023 Red Hat PKI Team <rhcs-maint@redhat.com> - 2.14.2-1
- Rebase to upstream version 2.14.2

* Fri Nov 8 2019 Red Hat PKI Team <rhcs-maint@redhat.com> - 2.10.0-1
- Update to latest upstream release
- Fixes: CVE-2019-14540
- Fixes: CVE-2019-16335
- Resolves: rhbz#1760274
- Resolves: rhbz#1760278

* Wed Jul 31 2019 Red Hat PKI Team <rhcs-maint@redhat.com> - 2.9.9.2-1
- Update to latest upstream release, fixes CVE-2019-12384

* Wed Feb 06 2019 Mat Booth <mat.booth@redhat.com> - 2.9.8-1
- Update to latest upstream release, fixes CVE-2018-14718 CVE-2018-147189
  CVE-2018-19360 CVE-2018-19361 CVE-2018-19362 CVE-2018-12022 CVE-2018-12023
  CVE-2018-14720 CVE-2018-14721

* Mon Mar 26 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-3
- Add patch to fix CVE-2018-7489

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-1
- Update to latest upstream release
- Drop upstreamed CVE patches

* Mon Jan 22 2018 Mat Booth <mat.booth@redhat.com> - 2.9.3-1
- Update to latest upstream release

* Mon Jan 15 2018 Mat Booth <mat.booth@redhat.com> - 2.7.6-7
- Better patch for CVE-2017-17485

* Thu Jan 11 2018 Mat Booth <mat.booth@redhat.com> - 2.7.6-6
- Backport a patch to fix CVE-2017-17485

* Fri Nov 03 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-5
- Backport a patch to fix CVE-2017-15095

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 20 2017 Mat Booth <mat.booth@redhat.com> - 2.7.6-3
- Backport a patch to fix CVE-2017-7525

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- update to 2.7.6

* Fri Jun 24 2016 gil cattaneo <puntogil@libero.it> 2.6.7-1
- update to 2.6.7

* Thu May 26 2016 gil cattaneo <puntogil@libero.it> 2.6.6-1
- update to 2.6.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Oct 25 2015 gil cattaneo <puntogil@libero.it> 2.6.3-1
- update to 2.6.3

* Mon Sep 28 2015 gil cattaneo <puntogil@libero.it> 2.6.2-1
- update to 2.6.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 31 2015 gil cattaneo <puntogil@libero.it> 2.5.0-1
- update to 2.5.0

* Sat Sep 20 2014 gil cattaneo <puntogil@libero.it> 2.4.2-1
- update to 2.4.2

* Wed Jul 23 2014 gil cattaneo <puntogil@libero.it> 2.4.1.3-1
- update to 2.4.1.3

* Thu Jul 03 2014 gil cattaneo <puntogil@libero.it> 2.4.1.1-1
- update to 2.4.1.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.2-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 gil cattaneo <puntogil@libero.it> 2.2.2-2
- review fixes

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- 2.2.2
- renamed jackson-databind

* Tue May 07 2013 gil cattaneo <puntogil@libero.it> 2.2.1-1
- 2.2.1

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0
- renamed jackson2-databind

* Thu Sep 13 2012 gil cattaneo <puntogil@libero.it> 2.0.6-1
- initial rpm
